Bug 475374 - Make clock source functions consistent between x86_64 & i386 arches
Make clock source functions consistent between x86_64 & i386 arches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 18:10 EST by Prarit Bhargava
Modified: 2010-10-23 02:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 initial patch for this issue (2.01 KB, patch)
2008-12-08 18:10 EST, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (2.42 KB, patch)
2008-12-09 08:32 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-12-08 18:10:49 EST
Created attachment 326225 [details]
RHEL5 initial patch for this issue

Description of problem:

x86_64 uses nopmtimer, nohpet, and notsc to control which clock is used for
the GTOD clock.  i386 uses "clock=[hpet|pmtmr|tsc]" to control which clock
is used for both the wall and the GTOD clock.

Make them consistent between arches.

Version-Release number of selected component (if applicable): -125.el5

Additional info: Attached patch tested on an xw9400 with HPET enabled in BIOS on both x86_64 and i386 arches.
Comment 1 Prarit Bhargava 2008-12-08 18:20:44 EST
Quick note on the patch, disable_pmtmr() is not upstream -- I have just pushed a patch to add it upstream.

P.
Comment 2 Prarit Bhargava 2008-12-09 08:32:57 EST
Created attachment 326307 [details]
RHEL5 fix for this issue
Comment 3 RHEL Product and Program Management 2009-01-27 15:38:00 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2009-02-16 10:44:09 EST
Updating PM score.
Comment 6 Don Zickus 2009-03-09 14:54:40 EDT
in kernel-2.6.18-134.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Chris Ward 2009-07-03 14:16:03 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 errata-xmlrpc 2009-09-02 05:00:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.